<?xml version="1.0" encoding="UTF-8" ?>
<ClassComponent localName="NPCFaceTextField"
	description="Компонент однострочное поле ввода." fileName="NPCFaceTextField.jar"
	className="org.mati.npc.faces.NPCFaceTextField" version="9345"
	time="17.02.2009 16:31:02">
	<Group>Визуальные компоненты</Group>

	<!--INLINKS BEGIN-->
	<INLink name="InGetComponent" description="Связь с компонентом контейнером."
		interfaceName="org.mati.npc.components.interfaces.NPCFaceComponent"
		linksNumber="1" nullable="false">
	</INLink>
	<INLink name="InSetText"
		description="Связь, служащая для передачи строкового значения в однострочное поле ввода."
		interfaceName="org.mati.npc.components.interfaces.StringValue"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InGetText"
		description="Связь, служащая для получения строкового значения из однострочного поля ввода."
		interfaceName="org.mati.npc.components.interfaces.StringValue"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InSetEnabled"
		description="Связь, служащая для изменения свойства ENABLED. TRUE разрешает изменение однострочного поля ввода, FALSE запрещает его изменение."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InPerformAction"
		description="Связь, служащая для передачи команды на отправление по исходящим связям текущих значений свойств однострочного поля ввода."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</INLink>
	<INLink name="InVisibility"
		description="Входящая связь допускает изменение видимости компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<INLink name="InEnable"
		description="Входящая связь допускает enable/disable компонента."
		interfaceName="org.mati.npc.components.interfaces.NPCUniversalLogicalInterface"
		linksNumber="1" nullable="true">
	</INLink>
	<!--INLINKS END-->

	<!--OUTLINKS BEGIN-->
	<OUTLink name="OutTextChanged"
		description="Связь, служащая для передачи строкового значения однострочного поля ввода."
		interfaceName="org.mati.npc.components.interfaces.StringValue"
		linksNumber="0" nullable="true">
	</OUTLink>
	<OUTLink name="OutActivityChanged"
		description="Связь, служащая для передачи логического значения свойтсва ENABLED. TRUE - однострочное поле ввода доступно для изменения, FALSE - недоступно."
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="true">
	</OUTLink>
	<!--OUTLINKS END-->

	<!--PROPERTIES BEGIN-->
	<Attribute name="PositionX"
		description="Координата левого верхнего угла по оси X (относительная)."
		type="java.lang.Integer" nullable="true" defaultValue="10">
	</Attribute>
	<Attribute name="PositionY"
		description="Координата левого верхнего угла по оси Y (относительная)."
		type="java.lang.Integer" nullable="true" defaultValue="10">
	</Attribute>
	<Attribute name="SizeWidth" description="Ширина односторочного поля ввода."
		type="java.lang.Integer" nullable="true" defaultValue="100">
	</Attribute>
	<Attribute name="Enabled"
		description="TRUE - однострочное поле ввода доступно для изменения, FALSE - недоступно."
		type="java.lang.Boolean" nullable="true" defaultValue="true">
	</Attribute>
	<Attribute name="PerformActionEnabled"
		description="TRUE - сообщения о изменниях свойств отправляются немедленно, FALSE - отправка происходит по событию InPerformAction."
		type="java.lang.Boolean" nullable="true" defaultValue="false">
	</Attribute>
	<Attribute name="Text" description="Текст однострочного поля ввода."
		type="java.lang.String" nullable="true" defaultValue="">
	</Attribute>
	<!--PROPERTIES END-->
</ClassComponent>